<h2 mat-dialog-title>{{ tituloAccion }} Empleado</h2>

<mat-dialog-content>

    <form [formGroup]="formularioEmpleado">
        <mat-grid-list cols="1" rowHeight="80px">
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>Número</mat-label>
                    <input matInput autocomplete="off" formControlName="numero">
                    <mat-icon matSuffix>account-box</mat-icon>
                </mat-form-field>
            </mat-grid-tile>            
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>Nombre Completo</mat-label>
                    <input matInput autocomplete="off" formControlName="nombreCompleto">       
                </mat-form-field>
            </mat-grid-tile>
            
            
        </mat-grid-list>
      
    </form>
    <div>
        
        <mat-radio-group name="roles" (change)="changeRol($event)">
            <mat-radio-button *ngFor="let rol of listaRoles"
                     [checked]="rol.checked" value="{{rol.idRol}}">{{rol.descripcion}}
           </mat-radio-button>
           <br>
         </mat-radio-group>
    </div>
    
</mat-dialog-content>

<mat-dialog-actions align="end">
    <button mat-raised-button mat-dialog-close color="warn">Volver</button>
    <button mat-raised-button color="primary"
        [disabled]="formularioEmpleado.invalid"
        (click)="guardarOEditar()"
    >{{ botonAccion }}</button>
</mat-dialog-actions>

